Package com.smartgwt.client.data

# Class DateRange

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.data.DateRange

public class DateRange extends JsObject
A class specifying a range of dates. Values are start and end. If either value is omitted, the range is assumed to be open-ended in that direction - so if the start date is omitted, the range will include any date earlier than the value specified in end date.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DateRange()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getEndDate()`
  Returns the end date or null if open ended.
  `JavaScriptObject`
  `getJsObj()`
  `RelativeDate`
  `getRelativeEndDate()`
  Returns the relative end date of the range, or null if not specified.
  `RelativeDate`
  `getRelativeStartDate()`
  Returns the relative start date of the range, or null if not specified.
  `Date`
  `getStartDate()`
  Returns the start date or null if open ended.
  `void`
  `setEndDate(Date endDate)`
  Set the end date of the range.
  `void`
  `setRelativeEndDate(RelativeDate relativeEndDate)`
  Set the relative end date of the range.
  `void`
  `setRelativeStartDate(RelativeDate relativeStartDate)`
  Set the relative start date of the range.
  `void`
  `setStartDate(Date startDate)`
  Set the start date of the range.

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DateRange

    public DateRange()

- ## Method Details

  - ### getStartDate

    public Date getStartDate()
    Returns the start date or null if open ended. If the underlying start date is specified as a `relativeStartDate`, the date is converted to an absolute value and returned.
    Returns:
      the start date

  - ### setStartDate

    public void setStartDate(Date startDate)
    Set the start date of the range.
    Parameters:
      `startDate` - the start date

  - ### getEndDate

    public Date getEndDate()
    Returns the end date or null if open ended. If the underlying end date is specified as a `relativeEndDate`, the date is converted to an absolute value and returned.
    Returns:
      the end date

  - ### setEndDate

    public void setEndDate(Date endDate)
    Set the end date of the range.
    Parameters:
      `endDate` - the end date

  - ### getRelativeStartDate

    public RelativeDate getRelativeStartDate()
    Returns the relative start date of the range, or null if not specified.
    Returns:
      the relative start date

  - ### setRelativeStartDate

    public void setRelativeStartDate(RelativeDate relativeStartDate)
    Set the relative start date of the range.
    Parameters:
      `relativeStartDate` - the relative start date

  - ### getRelativeEndDate

    public RelativeDate getRelativeEndDate()
    Returns the relative end date of the range, or null if not specified.
    Returns:
      the relative end date

  - ### setRelativeEndDate

    public void setRelativeEndDate(RelativeDate relativeEndDate)
    Set the relative end date of the range.
    Parameters:
      `relativeEndDate` - the relative end date

  - ### getJsObj

    public JavaScriptObject getJsObj()
    Overrides:
      `getJsObj` in class `JsObject`